QComicBook
Graphics
Score 83%
Description:

QComicBook is a viewer for PDF files and comic book archives containing jpeg/png images, which aims at convenience and simplicity. Features include:

* automatic handling of archives
* full-screen mode
* two-pages mode
* continuous scrolling mode
* frame view mode (frame-by-frame reading, comic frame detection)
* japanese mode
* thumbnails
* page scaling (fit to window width/height, whole page) and rotating
* mouse or keyboard navigation, whatever you prefer
* bookmarks

QComicBook requires Qt4 library, poppler library, zip, rar/unrar, tar, p7zip and unace programs to handle archives.

ATTENTION: I need translators! Please read README-translations and contact me if you'd like to translate QComicBook.
Last changelog:

12 years ago

* removed thin border around scroll area widget.
* fixed compilation errors on some systems (such as Ubuntu) caused by conflict with Page.h from libpoppler.

C

yogin

11 years ago

1. Menu entry is not currently installed (I think I'll fix it soon), but qcomicbook.desktop file is included and you can install by hand. You may also try binary packages (if it is available for your distro) - chances are it's fixed by packagers.
2. Yes, I think some kind of support for such pages will be added in future releases.
3. Definately, QComicBook will move to Qt4 soon.

Thanks for you comment!

Report

lemmy04

11 years ago

there seems to be a bug in 0.3.3 which affects two-page-mode:
when there are two pages on screen, and they have a great difference in resolution, qcomicbook scales them both so that the smaller one is as big as possible, thus cutting off some of the bigger page.

Report

blurymind

11 years ago

Its too bad we dont have anything simple and usefull for managing a comic books like this:
http://www.freeverse.com/comiclife/

on linux
=(

Report

blurymind

11 years ago

Its too bad we dont have anything simple and usefull for managing a comic books like this:
http://www.freeverse.com/comiclife/

on linux
=(

Report

apapaion

11 years ago

I face a problem when I try to load any type of formats that QComicBook supports. Even though I can see in the thumbnail view all the images, when I try to see the whole image, I watch only the background and I receive in the terminal some Imlib2 warnings such as

Imlib2 Developer Warning ***** :
This program is calling the Imlib call:

imlib_image_get_width();

With the parameter:

image

being NULL. Please fix your program.

and a same warning for the function imlib_image_get_height(). Has anyone any idea what it goes wrong?

Report

lemmy04

11 years ago

same problem here;
just compiled 0.3.3 against imlib2 1.3.0.

am going to look into it. i guess its something new in imlib2 1.3.0, since "it used to work as expected" with the imlib2 versions before that.

Report

lemmy04

11 years ago

seems like a serious self-incompatibility in imlib2 1.3.0;
when i compile qcomicbook with no parameter in these calls to imlib_image_get_width, it complains about calling that function with no parameter; when i put the parameter to the loaded image in there, it doesnt compile because the function is predefined as having no parameters...

Report

lemmy04

11 years ago

as i thought. going back to imlib2 1.2.x and even the qcomicbook that i liked againt 1.3.0 works.

now... is there ANY way to report bugs in imlib2 to anyone maintaining it?

Report

lemmy04

11 years ago

It's some kind of bug in imlib2 1.3.0, as soon as i build imlib2 WITH the patch suse uses to build their 1.2.1, it works.

Report

CLink

11 years ago

I tried to install QComicBook from the source code (0.3.3), but got the following error message:

checking for Imlib2... configure: error: "ImLib2 not found!"

When I checked my system, I got the following reply:

rpm -q imlib2
imlib2-1.1.1-7

Report

squall38

11 years ago

You also need the according -devel package, so imlib2-devel in this case.

Report

CLink

11 years ago

Thanx. Then the next problem: Where is source for imlib2-devel? I tried to install some imlib2-devel-rpm (1.0.6 or something), but it did not succeed because of some dependencies.

Report

bufalo73

11 years ago

It would be nice if SVG was supported too. With some comics it's "lighter" (p.e., Sin City).

Report

squall38

11 years ago

Mandriva 2006 packages can be found here:

http://www.rpgameplace.de/rpms

Report

Mazoon

11 years ago

If you add support to files in subdirectories, I don't have to use cbrpager ever again! (1 gtk software less \o/) Other than that, great app!

Report

kaeos

11 years ago

I do enjoy wonderfully this program as the simplier and fancier and Iwould like to ask for two features probably a little extraneous (as in out of the goal)
I would if this app could support continous display and Automatic scrolling

Thanks for this little app

Report

gohanz

11 years ago

A SlackWare TGz package with SlackBuild Script is Ready to DownLoad!!!

http://www.slacky.it/

http://www.slacky.it/index.php?option=com_remository&Itemid=1&func=fileinfo&filecatid=602&parent=category

Report

nakata

11 years ago

Any chance you could provide your autogen script in the next tarball? It would make building this thing a lot easier. checking for IceConnectionNumber in -lICE... yes checking for Qt... ls: /lib/libqt*: No such file or directory /usr/lib/libqt-mt.la /usr/lib/libqt-mt.so.3 /usr/lib/libqtmcop.a /usr/lib/libqtmcop.so.1 /usr/lib/libqtopiakonnector.so /usr/lib/libqt-mt.prl /usr/lib/libqt-mt.so.3.3 /usr/lib/libqtmcop.la /usr/lib/libqtmcop.so.1.0.0 /usr/lib/libqt-mt.so /usr/lib/libqt-mt.so.3.3.4 /usr/lib/libqtmcop.so /usr/lib/libqtopiakonnector.la ./configure: line 5710: test: =: unary operator expected yes: QT_CXXFLAGS=-I/usr/include/qt3 QT_DIR= QT_LIBS=-l/usr/lib -l -lSM -lICE -L/usr/X11R6/lib -lX11 -lXext -lXmu -lXt -lXi QT_UIC=/usr/bin/uic QT_MOC=/usr/bin/moc checking correct functioning of Qt installation... cat: bnv_qt_test.c: No such file or directory failure configure: error: Failed to find matching components of a complete Qt installation. Try using more options, see ./configure --help. root@strawberry:~/qcomicbook-0.2.6 #

Report

C

yogin

11 years ago

The source tarball contains everything I use for building - there is nothing more... As you can see there is configure.in, acinclude.m4 etc. so you can rebuild everyting with aclocal / automake /autoconf.

Report

C

yogin

11 years ago

I've just got similar errors when trying to compile qcomicbook in Ubuntu 5.10. Ubuntu installs Qt in non-standard directories causing autodetection to fail.

If you're using Ubuntu, try this:
./configure --with-Qt-lib-dir=/usr/lib --with-Qt-include-dir=/usr/include/qt3

(don't forget to have libqt3-mt-dev and libqt3-headers installed).

Report

gohanz

12 years ago

A SlackWare 10.2 TGZ Package with SlackBuild script is ready to download!!

http://www.slacky.it



http://www.slacky.it/index.php?option=com_remository&Itemid=29&func=fileinfo&filecatid=602&parent=category

Report

blurymind

12 years ago

Hi,I built a vector 5 soho package of qcomicbook 0.2.5.
It should probably work on any other slackware/slack based distro.

its in the repo.

a nice thing to add to next version is Disable splash at start up as an option.

Report

squall38

12 years ago

Thanks a lot for your work. I really love QComicBook, I wish I would've found it earlier (used Comical before, and even CDisplay in Wine when I needed a Japanese mode).

Now that I've used it for a few weeks I got some ideas for features you could add. QComicBook's simplicity is what I like most about it, so nothing fancy. I think tree structured bookmarks would be nice (you could use it to catalogue your comics this way).
Also, being able to automatically open the next directory/archive at the end of the current one would be perfect for lazy people like me who only use their mouse wheel to switch pages.

Report

pchelper

12 years ago

this is a really nice program.
but where are the comics?
there is no link or mention on where someone could get them, in the program or on your site.

Report

C

yogin

12 years ago

See older messages on this forum... By the way - when you download a MP3 player (amarok, bmp, xmms...), do they point you to any websites with mp3 music to download... I guess they don't ;)

Report

12 years ago

* removed thin border around scroll area widget.
* fixed compilation errors on some systems (such as Ubuntu) caused by conflict with Page.h from libpoppler.

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.8.1
updated Jul 08 2011
added Jan 07 2005
downloads today
0
page views today 0